package eu.etaxonomy.taxeditor.editor;

import eu.etaxonomy.cdm.model.taxon.Taxon;
import eu.etaxonomy.cdm.model.taxon.TaxonNode;

public interface ISecuredEditor {

	/**
	 * 
	 * @return true if the current authentication (= {@link User}) has sufficient 
	 * privileges to edit the {@link Taxon} or {@link TaxonNode}
	 */
	public abstract boolean permissionsSatisfied();

}
