package eu.etaxonomy.taxeditor.editor;

import eu.etaxonomy.cdm.model.taxon.Taxon;
import eu.etaxonomy.cdm.model.taxon.TaxonNode;
import eu.etaxonomy.taxeditor.operation.AbstractPostOperation;


public interface ITaxonEditor {
	/**
	 *
	 * @return the @Taxon of the editor
	 *
	 */
	public abstract Taxon getTaxon();
	public abstract TaxonNode getTaxonNode();

	public abstract void update();

    public void addOperation(AbstractPostOperation operation);
}
