/**
 * Copyright (C) 2009 EDIT
 * European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
 *
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
package eu.etaxonomy.taxeditor.editor.definedterm.input;

import java.util.List;

import eu.etaxonomy.cdm.model.term.DefinedTermBase;
import eu.etaxonomy.taxeditor.editor.CdmEntitySessionInput;

/**
 * @author l.morris
 * @date 3 Jan 2012
 */
public abstract class AbstractDefinedTermEditorInput<T extends DefinedTermBase> extends CdmEntitySessionInput {

	public AbstractDefinedTermEditorInput() {
		super(true);
	}

	public abstract List<String> getTermClasses();
}