/**
* Copyright (C) 2018 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.preference;

import eu.etaxonomy.cdm.model.metadata.PreferencePredicate;
import eu.etaxonomy.cdm.model.term.TermType;
import eu.etaxonomy.taxeditor.l10n.Messages;
import eu.etaxonomy.taxeditor.preference.wizard.GeneralVocabularyPreferencePage;

/**
 * @author k.luther
 * @since 05.10.2018
 *
 */
public class CommonNameVocabularyPreferencePage extends GeneralVocabularyPreferencePage implements IE4PreferencePage {


    public CommonNameVocabularyPreferencePage(){
        isAdminPreference = false;
        setPredicate(PreferencePredicate.CommonNameAreaVocabularies);
        setDescription(Messages.CommonNameVocabularyPreferencePage_description);
        type = TermType.NamedArea;

    }









}
