/**
* Copyright (C) 2019 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.preference;

import org.eclipse.jface.preference.BooleanFieldEditor;

import eu.etaxonomy.taxeditor.l10n.Messages;
import eu.etaxonomy.taxeditor.preference.menu.FieldEditorPreferencePageE4;

/**
 * @author k.luther
 * @since 18.01.2019
 *
 */
public class ExperimentalFeaturesPreferences extends FieldEditorPreferencePageE4 {

    /**
     * {@inheritDoc}
     */
    @Override
    protected void createFieldEditors() {
        addField(new BooleanFieldEditor(PreferencesUtil.createPreferenceString(
                IPreferenceKeys.SHOW_EXPERIMENTAL_FEATURES),
                Messages.ExperimentalFeaturesPreferences, getFieldEditorParent()));

    }

}
