/**
* Copyright (C) 2018 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.preference;

import eu.etaxonomy.taxeditor.l10n.Messages;

/**
 * @author k.luther
 * @since 19.11.2018
 *
 */
public enum PublishEnumX {

    Publish("Publish", Messages.PublishEnum_publish),
    NotPublish("NotPublish", Messages.PublishFlagPreference_do_not_set),
    InheritFromParent("InheritFromParent", Messages.PublishFlagPreference_inherit);


    String label;
    String key;

    private PublishEnumX(String key, String label){
        this.label = label;
        this.key = key;
    }

    public String getLabel(){
        return label;
    }

    public String getKey(){
        return key;
    }
}
