/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.preference;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;

import eu.etaxonomy.taxeditor.preference.menu.CdmPreferencePage;

/**
 * <p>TaxonomicPreferences class.</p>
 *
 * @author p.ciardelli
 * @created 20.05.2008
 * @version 1.0
 */
public class TaxonomicPreferences extends CdmPreferencePage {

	/** Constant <code>PLUGIN_ID="eu.etaxonomy.taxeditor.taxonomic.prefer"{trunked}</code> */
	public static final String PLUGIN_ID = "eu.etaxonomy.taxeditor.taxonomic.preferences";

	/** {@inheritDoc} */
	@Override
	protected Control createContents(Composite parent) {

		Composite container = new Composite(parent, SWT.NULL);
		container.setLayout(new GridLayout());

		//
		return container;
	}

}
