/**
 *
 */
package eu.etaxonomy.taxeditor.ui.element;

/**
 * <p>IPropertyChangeEmitter interface.</p>
 *
 * @author nho
 */
public interface IPropertyChangeEmitter {
	/**
	 * Notify registeres listeners of changed properties
	 *
	 * @param event a {@link eu.etaxonomy.taxeditor.ui.element.CdmPropertyChangeEvent} object.
	 */
	public void firePropertyChangeEvent(CdmPropertyChangeEvent event);
}
