/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.ui.element;

import org.eclipse.swt.graphics.Color;
import org.eclipse.swt.widgets.Composite;

/**
 * @author n.hoffmann
 * @created May 27, 2010
 */
public class RootElement extends AbstractCdmFormElement {

	/**
	 * <p>Constructor for RootElement.</p>
	 *
	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.element.CdmFormFactory} object.
	 * @param layoutComposite a {@link org.eclipse.swt.widgets.Composite} object.
	 */
	public RootElement(CdmFormFactory formFactory, Composite layoutComposite) {
		super(formFactory, layoutComposite);
	}

	@Override
	public void setBackground(Color color) {
		for(ICdmFormElement element : getElements()){
			element.setBackground(color);
		}
	}
}