/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.ui.openurl;

import eu.etaxonomy.cdm.common.URI;
import eu.etaxonomy.cdm.model.reference.Reference;

/**
 * @author n.hoffmann
 * @created Feb 3, 2011
 */
public interface IOpenUrlEnabled {

	public void setOpenUrl(URI uri);

	public Reference getReference();

	public String getDetail();	
}