/**
* Copyright (C) 2019 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.view.search.facet.term;

import eu.etaxonomy.cdm.persistence.dto.TermVocabularyDto;

/**
 * @author pplitzner
 * @since Jan 22, 2019
 *
 */
public class TermFilter {

    private TermVocabularyDto vocabulary;

    /**
     * @param vocabulary
     */
    public TermFilter(TermVocabularyDto vocabulary) {
        super();
        this.vocabulary = vocabulary;
    }

    /**
     * @return the vocabulary
     */
    public TermVocabularyDto getVocabulary() {
        return vocabulary;
    }

    /**
     * @param vocabulary the vocabulary to set
     */
    public void setVocabulary(TermVocabularyDto vocabulary) {
        this.vocabulary = vocabulary;
    }



}
