/**
* Copyright (C) 2019 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.view.search.facet.term;

import javax.annotation.PostConstruct;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import eu.etaxonomy.taxeditor.view.search.facet.SearchComposite;
import eu.etaxonomy.taxeditor.workbench.part.IEditorAreaPart;

/**
 * @author pplitzner
 * @since Jan 22, 2019
 */
public class TermSearch implements IEditorAreaPart{

    @SuppressWarnings("unused")
    @PostConstruct
    public void create(Composite parent){
        new TermSearchController(new SearchComposite(parent, SWT.NONE), null);
    }
}
