/**
* Copyright (C) 2017 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.view.sessions;

import javax.inject.Named;

import org.eclipse.e4.core.di.annotations.Execute;
import org.eclipse.e4.ui.services.IServiceConstants;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Shell;

/**
 * @author pplitzner
 * @since Nov 2, 2017
 */
public class InspectSessionHandler {

    @Execute
    public void canExecute(@Named(IServiceConstants.ACTIVE_SHELL)Shell shell){
        InspectSessionsDialog dialog = new InspectSessionsDialog(shell, SWT.NONE);
        dialog.open();
    }
}
