/**
* Copyright (C) 2018 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.view.webimport.termimport;

import javax.annotation.PostConstruct;
import javax.inject.Inject;

import org.eclipse.e4.ui.di.UISynchronize;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

/**
 * @author pplitzner
 * @since Apr 23, 2018
 *
 */
public class GfBioTerminologyImportPart {

    @Inject
    private UISynchronize sync;

    @SuppressWarnings("unused")
    @PostConstruct
    public void create(Composite parent){
        GfBioTerminologyImportComposite composite = new GfBioTerminologyImportComposite(parent, SWT.NONE);
        new GfBioTerminologyImportPresenter(composite, sync);
    }
}
