/**
* Copyright (C) 2021 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.editor;

import org.eclipse.jface.viewers.IStructuredSelection;

/**
 * @author k.luther
 * @since May 5, 2021
 */
public interface IBulkEditor {
	
	public abstract void setFocus();
	public abstract void setSelection(IStructuredSelection selection);

}
