/**
* Copyright (C) 2017 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.io.e4.out.dwca;

import eu.etaxonomy.taxeditor.io.e4.out.AbstractExportWizardE4;
import eu.etaxonomy.taxeditor.io.e4.out.AbstractOpenExportWizard;

/**
 * @author pplitzner
 * @since Oct 5, 2017
 *
 */
public class OpenDwcaExportWizard extends AbstractOpenExportWizard {

    /**
     * {@inheritDoc}
     */
    @Override
    protected Class<? extends AbstractExportWizardE4> getExportWizardClass() {
        return DarwinCoreArchiveExportWizardE4.class;
    }

}
