package eu.etaxonomy.taxeditor.model;

import java.time.ZoneId;
import java.time.ZonedDateTime;

import org.joda.time.DateTime;
import org.joda.time.DateTimeZone;

public class DateConverter {
	
	public static ZonedDateTime convertJoda2ZonedDateTime(DateTime dateTime){
		ZonedDateTime result = null;
		result = ZonedDateTime.of(dateTime.getYear(), dateTime.getMonthOfYear(), dateTime.getDayOfMonth(), dateTime.getHourOfDay(), dateTime.getMinuteOfHour(), 0, 0, convertJodaTimeZone2ZoneId(dateTime.getZone()));
		
		
		return result;
	}
	
	public static DateTime convertZonedDateTime2Joda(ZonedDateTime dateTime){
		DateTime result = null;
		result = new DateTime(dateTime.getYear(), dateTime.getMonthValue(), dateTime.getDayOfMonth(), dateTime.getHour(), dateTime.getMinute(), 0, convertZoneId2JodaTimeZone(dateTime.getZone()));
		
		
		return result;
	}
	
	public static ZoneId convertJodaTimeZone2ZoneId(DateTimeZone jodaZone){
		ZoneId zoneId = null;
		
		zoneId = ZoneId.of(jodaZone.getID());
		
		return zoneId;
	}
	
	public static DateTimeZone convertZoneId2JodaTimeZone(ZoneId zoneid){
		DateTimeZone jodaZone = null;
		
		jodaZone = DateTimeZone.forID(zoneid.getId());
		
		return jodaZone;
	}

}
