/**
* Copyright (C) 2016 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.preference;

import org.eclipse.jface.preference.BooleanFieldEditor;

import eu.etaxonomy.taxeditor.l10n.Messages;
import eu.etaxonomy.taxeditor.preference.menu.FieldEditorPreferencePageE4;

/**
 * @author k.luther
 * @date 01.04.2016
 *
 */
public class DebugPreferences extends FieldEditorPreferencePageE4 {

    @Override
    protected void createFieldEditors() {
        addField(new BooleanFieldEditor(PreferencesUtil.createPreferenceString(IPreferenceKeys.IS_SHOW_UP_WIDGET_IS_DISPOSED),
                Messages.DebugPreferences_0,
                getFieldEditorParent()));
        addField(new BooleanFieldEditor(PreferencesUtil.createPreferenceString(IPreferenceKeys.DISABLE_SERVICES_API_TIMESTAMP_CHECK),
                Messages.DebugPreferences_1,
                getFieldEditorParent()));

    }

}
