/**
* Copyright (C) 2019 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.preference;

import eu.etaxonomy.cdm.model.metadata.PreferencePredicate;
import eu.etaxonomy.cdm.model.term.TermType;
import eu.etaxonomy.taxeditor.preference.wizard.GeneralVocabularyPreferencePage;

/**
 * @author k.luther
 * @since 12.09.2019
 */
public class NamedAreaVocabularyPreferencePage extends GeneralVocabularyPreferencePage {

    public NamedAreaVocabularyPreferencePage(){
        isAdminPreference = false;
        setPredicate(PreferencePredicate.AvailableDistributionAreaVocabularies);
        type = TermType.NamedArea;

    }




//    @Override
//    protected void performDefaults() {
//        if (!isAdminPreference){
//            if (!pref.isAllowOverride()) {
//                button_openSelectAreaVocabularies.setButtonEnabled(false);
//            }
//
//        }
//
//        prefAreaVoc = null;
//        refresh();
//        setApply(true);
//
//    }





}
