/**
 * Copyright (C) 2007 EDIT
 * European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
 *
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
package eu.etaxonomy.taxeditor.preference;

import org.eclipse.jface.preference.BooleanFieldEditor;

import eu.etaxonomy.taxeditor.l10n.Messages;
import eu.etaxonomy.taxeditor.preference.menu.FieldEditorPreferencePageE4;

/**
 * @author n.hoffmann
 *
 * @created Oct 12, 2011
 * @version 1.0
 */
public class TypeDesignationPreferences extends FieldEditorPreferencePageE4 {

	@Override
	protected void createFieldEditors() {
		addField(new BooleanFieldEditor(PreferencesUtil.createPreferenceString(IPreferenceKeys.ADD_TYPES_TO_ALL_NAMES),
				Messages.TypeDesignationPreferences_typeDesignationsToAllNames,
				getFieldEditorParent()));
	}

}
