// $Id$
/**
* Copyright (C) 2018 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.preference.menu;

import org.eclipse.jface.preference.FieldEditorPreferencePage;

import eu.etaxonomy.taxeditor.preference.IE4PreferencePage;
import eu.etaxonomy.taxeditor.preference.PreferencesUtil;

/**
 * @author pplitzner
 * @date 14.02.2018
 *
 */
public abstract class FieldEditorPreferencePageE4 extends FieldEditorPreferencePage implements IE4PreferencePage{
    boolean isApply = false;

    public FieldEditorPreferencePageE4() {
        init();

    }

    protected void init(){
        setPreferenceStore(PreferencesUtil.getPreferenceStore());
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public boolean isApply() {
        return isApply;
    }




}
