/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.preference.menu;

import eu.etaxonomy.cdm.model.metadata.PreferencePredicate;
import eu.etaxonomy.cdm.model.term.TermType;
import eu.etaxonomy.taxeditor.preference.GeneralTermPreferencePage;

/**
 * <p>NameRelationshipTypeMenuPreferences class.</p>
 *
 * @author n.hoffmann
 * @created 25.06.2009
 * @version 1.0
 */
public class NameRelationshipTypeMenuPreferences extends
		GeneralTermPreferencePage {


	/**
	 * <p>Constructor for NameRelationshipTypeMenuPreferences.</p>
	 */
	public NameRelationshipTypeMenuPreferences() {
	    super();
        setPredicate(PreferencePredicate.AvailableNameRelationshipType);
        type = TermType.NameRelationshipType;
	}




}
