/**
* Copyright (C) 2021 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.preference.wizard;

import org.eclipse.jface.viewers.CheckboxTreeViewer;
import org.eclipse.swt.events.TreeEvent;
import org.eclipse.swt.widgets.Tree;

/**
 * @author k.luther
 * @since Feb 11, 2021
 */
public class CdmCheckBoxTreeViewer extends CheckboxTreeViewer {

    /**
     * @param tree
     */
    public CdmCheckBoxTreeViewer(Tree tree) {
        super(tree);
    }

    @Override
    protected void handleTreeExpand(TreeEvent event) {

        super.handleTreeExpand(event);
        if (((CheckBoxTreeComposite)this.getControl().getParent()).checkedElements != null){
            this.setCheckedElements(((CheckBoxTreeComposite)this.getControl().getParent()).checkedElements);
        }

    }

}
