// $Id$
/**
* Copyright (C) 2017 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.ui;

import org.eclipse.jface.viewers.LabelProvider;

import eu.etaxonomy.cdm.persistence.dto.UuidAndTitleCache;

/**
 * @author pplitzner
 * @date 12.12.2017
 *
 */
public class UuidAndTitleCacheLabelProvider extends LabelProvider{

    /**
     * {@inheritDoc}
     */
    @Override
    public String getText(Object element) {
        if(element instanceof UuidAndTitleCache){
            return ((UuidAndTitleCache) element).getTitleCache();
        }
        return super.getText(element);
    }

}
