/**
* Copyright (C) 2017 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.ui.combo.term;

import org.eclipse.jface.viewers.ILabelProvider;
import org.eclipse.jface.viewers.IStructuredContentProvider;
import org.eclipse.swt.widgets.Composite;

import eu.etaxonomy.cdm.model.term.DefinedTermBase;
import eu.etaxonomy.taxeditor.ui.combo.AbstractComboComposite;

/**
 * @author pplitzner
 * @since Nov 24, 2017
 *
 */
public class TermUuidComboViewer extends AbstractComboComposite<DefinedTermBase>{

    public TermUuidComboViewer(Composite parent, int style) {
        super(parent, style);
    }

    @Override
    public IStructuredContentProvider getContentProvider() {
        return new TermUuidContentProvider();
    }

    @Override
    public ILabelProvider getLabelProvider() {
        return new TermUuidLabelProvider();
    }

}
