/**
* Copyright (C) 2017 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.ui.combo.term;

import org.eclipse.jface.viewers.LabelProvider;

import eu.etaxonomy.cdm.model.term.DefinedTerm;

/**
 * @author pplitzner
 * @since Nov 24, 2017
 *
 */
public class TermUuidLabelProvider extends LabelProvider {

    /**
     * {@inheritDoc}
     */
    @Override
    public String getText(Object element) {
        if(element instanceof DefinedTerm){
            return ((DefinedTerm) element).getLabel();
        }
        return super.getText(element);
    }

}
