/**
* Copyright (C) 2017 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.ui.combo.termvocabulary;

import java.util.Collection;

import org.eclipse.jface.viewers.IStructuredContentProvider;

/**
 *
 * @author pplitzner
 * @since Aug 17, 2018
 *
 */
public class TermVocabularyComboContentProvider implements IStructuredContentProvider {

    @Override
    public Object[] getElements(Object inputElement) {
        if(inputElement instanceof Collection){
            return ((Collection) inputElement).toArray();
        }
    	return null;
    }

}
