// $Id$
/**
* Copyright (C) 2018 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.view.webimport.termimport;

import org.eclipse.jface.viewers.LabelProvider;

import eu.etaxonomy.taxeditor.view.webimport.termimport.wrapper.TerminologyWrapper;

/**
 * @author pplitzner
 * @date 15.05.2018
 *
 */
public class TerminologyLabelProvider extends LabelProvider {


    @Override
    public String getText(Object element) {
        if(element instanceof TerminologyWrapper){
            return ((TerminologyWrapper) element).getName();
       }
        return super.getText(element);
    }

}
