/**
* Copyright (C) 2018 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.view.webimport.termimport.requests;

/**
 * @author pplitzner
 * @since Apr 23, 2018
 *
 */
public interface TerminologyServiceConstants {

    public static final String ATTR_QUERY = "query";
    public static final String ATTR_URI = "uri";
    public static final String ATTR_LIMIT = "limit";
    public static final String ATTR_TERMINOLOGIES = "terminologies";

    public static final String PO_ROOT_ELEMENT = "http://purl.obolibrary.org/obo/PO_0025131";
}
