/**
* Copyright (C) 2018 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.view.webimport.termimport.wrapper;

/**
 * @author pplitzner
 * @since Apr 23, 2018
 *
 */
public class HierarchyTermWrapper extends TermWrapper{

    private HierarchyTermWrapper parentTerm;
    public HierarchyTermWrapper(String uri, String label) {
        super(uri, label);
    }
    public HierarchyTermWrapper getParentTerm() {
        return parentTerm;
    }
    public void setParentTerm(HierarchyTermWrapper parentTerm) {
        this.parentTerm = parentTerm;
    }
}
